%global pypi_name joblib

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1
Summary:        Utilities to provide lightweight pipelining in Python
License:        BSD-licenced (3 clause)
URL:            https://joblib.readthedocs.io/en/latest/
Source0:        https://github.com/joblib/joblib/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
Patch0:         CVE-2022-21797.patch
BuildArch:      noarch
BuildRequires:  python3-devel
#test requires
BuildRequires:  python3-pytest
BuildRequires:  python3-threadpoolctl

%global _description \
Joblib is a set of tools to provide lightweight pipelining in Python.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install


%check
%{__python3} -m pytest -k "not test_parallel_call_cached_function_defined_in_jupyter"

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Thu Oct 27 2022 yaoxin <yaoxin30@h-aprtners.com> - 1.1.0-1
- Upgrade to version 1.1.0

* Wed Sep 28 2022 liangqifeng <liangqifeng@ncti-gba.cn> - 1.0.0-2
- fix CVE-2022-21797

* Mon Feb 1 2021 wangjie<wangjie294@huawei.com> - 1.0.0-1
- upgrade version to 1.0.0

* Thu Oct 29 2020 tianwei<tianwei12@huawei.com> - 0.14.0-4
- delete python2 require

* Fri Feb 14 2020 gulining<gulining1@huawei.com> - 0.14.0-3
- Init package
